<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10005
Name: ELGA CDA Dokument eMedikation Rezept
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10005-2014-01-31T000000">
   <title>ELGA CDA Dokument eMedikation Rezept</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10005
Context: hl7:ClinicalDocument
Item: (CDARezept)
-->

   <rule context="hl7:ClinicalDocument"
         id="tmp-r-70dfb945-b66e-4e3e-94eb-72f372978861">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDARezept): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDARezept): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDARezept): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDARezept): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDARezept): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDARezept): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.8.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.8.1']/@nullFlavor)">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.8.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.8.1'])&lt;=1">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.8.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']/@nullFlavor)">(CDARezept): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&lt;=1">(CDARezept): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']/@nullFlavor)">(CDARezept): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(CDARezept): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&lt;=1">(CDARezept): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'])&gt;=1 and not(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']/@nullFlavor)">(CDARezept): Element hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'])&lt;=1">(CDARezept): Element hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDARezept): Element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDARezept): Element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDARezept): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:title)&lt;=1">(CDARezept): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDARezept): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDARezept): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDARezept): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDARezept): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDARezept): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDARezept): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDARezept): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:setId)&lt;=1">(CDARezept): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDARezept): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDARezept): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDARezept): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDARezept): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDARezept): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDARezept): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDARezept): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:dataEnterer)=0">(CDARezept): Element hl7:dataEnterer DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:informationRecipient)=0">(CDARezept): Element hl7:informationRecipient DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:authenticator)=0">(CDARezept): Element hl7:authenticator DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDARezept): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDARezept): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:participants)=0">(CDARezept): Element hl7:participants DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:relatedDocument)=0">(CDARezept): Element hl7:relatedDocument DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(CDARezept): Element hl7:inFulfillmentOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/@nullFlavor)">(CDARezept): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:authorization)=0">(CDARezept): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="count(hl7:componentOf)=0">(CDARezept): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-204f6ea6-665e-4759-bb26-706adda5fc4c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus Value Set 'ELGA_RealmCode' (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-30a0f742-1f92-4491-b316-802faa9a7766">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-dca87b47-5d41-4840-a078-4b44ecd92158">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.8.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']|self::hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-70dfb945-b66e-4e3e-94eb-72f372978861">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10005-2014-01-31T000000.html"
              test="not(.)">(CDARezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']|self::hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-812052b2-552a-4247-bcad-63190a891fa8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/*[not(self::hl7:patientRole)]"
         id="tmp-r-5317b045-b5df-4a1e-ab14-91bcdc1ec8b2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:patient)]"
         id="tmp-r-ea2133cd-897a-4997-8bf2-f793fe9b59b9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:addr/*[not(self::hl7:streetAddressLine|self::hl7:streetName|self::hl7:houseNumber|self::hl7:postalCode|self::hl7:city|self::hl7:state|self::hl7:country|self::hl7:additionalLocator)]"
         id="tmp-r-b74ef3b3-441b-4c16-88fc-c1f474175d73">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/*[not(self::hl7:name|self::hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:birthTime|self::hl7:maritalStatusCode|self::hl7:religiousAffiliationCode|self::hl7:raceCode|self::hl7:ethnicGroupCode|self::hl7:guardian|self::hl7:birthplace)]"
         id="tmp-r-544f58f3-016b-4956-b303-d6a4a61948b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:prefix|self::hl7:given|self::hl7:family|self::hl7:suffix)]"
         id="tmp-r-d23263aa-474b-4b96-abfd-bf5e1cd643ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/*[not(self::hl7:addr|self::hl7:telecom|self::hl7:guardianPerson|self::hl7:guardianOrganization)]"
         id="tmp-r-5756b979-185c-40d8-a3c4-79a4241a8691">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/*[not(self::hl7:name)]"
         id="tmp-r-ba06f751-6910-42cd-85a6-3fe5ab1644c1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/*[not(self::hl7:name)]"
         id="tmp-r-412919e3-ae6a-46b8-b885-c72f3470f16a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/*[not(self::hl7:place)]"
         id="tmp-r-58d02963-adca-47c0-810d-d97fffec9a2f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/*[not(self::hl7:addr)]"
         id="tmp-r-ac7c52ad-7154-4d59-a001-770d3edfb750">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-5cdaeef7-8834-4d40-b89e-0de2a446264f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-7af1fb5f-48e1-40ff-ad04-23cc39d53665">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-429b8383-8eb7-414e-8278-abfc05031f66">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-bc47887e-b16f-4780-977c-63b359c2370d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-a329a804-9397-4caa-a53d-c91d7a071225">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:custodian/*[not(self::hl7:assignedCustodian)]"
         id="tmp-r-52d3cf9e-6a0e-409a-9587-34a697d482b4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:custodian/hl7:assignedCustodian/*[not(self::hl7:representedCustodianOrganization)]"
         id="tmp-r-8adc3565-271e-4848-b764-72cf559134aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-1b058da9-f7e4-4e8d-8f79-91cb4cef35b0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:legalAuthenticator/*[not(self::hl7:time|self::hl7:signatureCode[@code='S']|self::hl7:assignedEntity)]"
         id="tmp-r-9b74f27d-103a-4fa6-a928-bd1c27ce66c9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:legalAuthenticator/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-d22c747a-0706-4a70-9e28-6ff8f34571dd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-2028396b-8228-41ea-b3ae-f1981764ee73">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-443ac01f-8002-4058-8de1-3c0151f92ff9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/*[not(self::hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]])]"
         id="tmp-r-9a55772a-7de2-427d-b8a8-5d5db07daedf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/*[not(self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:effectiveTime|self::hl7:performer)]"
         id="tmp-r-8e9de249-224c-4c6f-8d6f-9a2f3fd1d7f3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]]/hl7:serviceEvent[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.68-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]]/hl7:effectiveTime/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-1807aeb2-a189-4279-8fa6-d532d54fc616">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-ac2634fa-b712-451a-8672-8ab38a824b82">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']]])]"
         id="tmp-r-df7a5d53-4dd0-4e1f-982c-a1d1d55011db">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.1']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']])]"
         id="tmp-r-d93bb7d4-1c3d-42cd-8f47-ef90b20749fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1-2014-01-31T000000.html"
              test="not(.)">(eMedikationRezept): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.1.2.1']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']])]"
         id="tmp-r-84701b1b-c855-465c-8c0c-607af105120c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.2.1-2014-01-31T000000.html"
              test="not(.)">(RezeptSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.1.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.3.19']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']|self::hl7:id|self::hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]])]"
         id="tmp-r-dd5a1cea-6f48-40a6-bf2e-33c0a30817af">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.2.1-2014-01-31T000000.html"
              test="not(.)">(RezeptSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.1.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.1.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.1' or @root='1.3.6.1.4.1.19376.1.5.3.1.3.19' or @root='2.16.840.1.113883.10.20.1.8']]/hl7:entry[hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']])]"
         id="tmp-r-8eefb768-6ad1-483f-ae75-fddbf3f23011">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.2.1-2014-01-31T000000.html"
              test="not(.)">(RezeptSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/*[not(self::hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']])]"
         id="tmp-r-bd7b32e8-275b-4640-a90e-df42d9bb1299">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.24']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.9']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:text|self::hl7:statusCode[@code='completed']|self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity[not(hl7:low|hl7:high)]|self::hl7:doseQuantity[hl7:low|hl7:high]|self::hl7:doseQuantity|self::hl7:doseQuantity[not(hl7:low|hl7:high)]|self::hl7:doseQuantity[hl7:low|hl7:high]|self::hl7:doseQuantity|self::hl7:repeatNumber|self::hl7:routeCode|self::hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]|self::hl7:author|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship[@typeCode='COMP'][hl7:supply]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']])]"
         id="tmp-r-0e16b402-8045-4226-bfcb-b358e55f9fa2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/*[not(self::hl7:originalText)]"
         id="tmp-r-449647fb-c0c2-4042-9b98-33ad439d4348">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-73675bde-69fb-4bba-832b-977f6a92ff47">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-f8b2c32a-f0c7-4482-b7db-cd4eea1ff7e0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-1adf7a16-006d-43f5-9727-bbb85e3f5544">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-d5879a68-b783-4b17-ae71-0dd1d78ce7d2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-c5cefc1b-cd85-4850-8e46-a67ba6aa18a2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-b3071941-86e0-4a6e-8d42-150d2e5987f0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-6e5f5e7a-7210-434f-97c2-11c19db3d653">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-b367ca8c-ef9d-40b4-bcdb-86b891efa317">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:doseQuantity[hl7:low|hl7:high]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-00b7dbec-79ae-4ae5-8f8d-5e7fa8fd8f94">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30037-2014-02-05T000000.html"
              test="not(.)">(Dosierung1dq): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:doseQuantity[hl7:low|hl7:high]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-14be8cb1-a7f0-4608-b63b-5d63bfa81045">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30041-2014-04-05T000000.html"
              test="not(.)">(Dosierung3dq): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:consumable[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-7d75e4b3-4ceb-498a-8dc9-c9b437324c50">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-f8d2f3e3-4c04-40e2-82b4-8123e480f771">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-0a6a004b-01d1-4ef7-9d28-46c4116ea4a0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-b590c15b-73c3-42c8-a479-7f6b7ae65838">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-29326337-59bf-45eb-b006-b92547bb144b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-4171b03a-72f5-4e4e-adf1-591560829ce2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-dc7807fb-ac87-4c3d-aacf-dd2a26eaba7a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS']|self::hl7:doseQuantity|self::hl7:consumable)]"
         id="tmp-r-c9762418-3ee7-47b5-bc97-62bc7ff93e2a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-dc8b7c6d-a7ba-49ec-8666-dc3cfb1b4713">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-df2d6e94-8988-4dd3-9c8e-d15b7f782981">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-b3b2669e-d5e9-462a-a742-fced67944867">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-dbec5fde-8d32-4247-b995-e4abd76ef191">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-5231eb6f-bac4-4c83-8c4d-8d0c87e35408">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-6e971e0b-b877-4e10-82ce-5d836cc7f9bd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-b3080ecf-298b-47c8-85e0-ac923fc40180">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-5e98bfea-aaf4-456a-b4d1-8619c04b6ff9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS']|self::hl7:doseQuantity|self::hl7:consumable)]"
         id="tmp-r-195cd471-f86f-4215-a79f-7402d1f8e1be">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-a4d147ae-d381-47a1-9a7f-652293976dbb">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-6f3021fc-872e-407c-aa84-874c5b9fe771">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-5e6128c2-2357-4e56-80ff-d60f5f8c2d2f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-760b9169-1ecc-4e4d-8026-4fee3f75031d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-e85b225b-1608-418c-8c07-6750da43ab1e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-1ef86e2a-a09e-4829-8521-da755d09d8fa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-1668aa9a-44e1-4e3d-9d78-82be26bdfa9e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply]/*[not(self::hl7:supply)]"
         id="tmp-r-95f8fc11-3279-4fea-9b86-a5431a2e283e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='COMP'][hl7:supply]/hl7:supply/*[not(self::hl7:independentInd|self::hl7:quantity)]"
         id="tmp-r-fbbc2fb3-fef0-46dd-8e17-4bef0ec6804a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.1-2014-01-31T000000.html"
              test="not(.)">(MedikationVerordnungEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="tmp-r-2eb4a5af-d002-4e0e-8d6a-a53d62eda094">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-86d846f4-c57a-4a12-ac2b-eebbaa7a316e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-5a3922a6-3741-497c-89d8-8c4ac9e9319e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="tmp-r-8bcb2822-5db2-4caa-98d8-8ade460308bf">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code[(@code='FINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-a2551650-13a5-466e-a875-dc36c2aef6a7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:substanceAdministration[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.1' or @root='2.16.840.1.113883.10.20.1.24' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7' or @root='1.3.6.1.4.1.19376.1.9.1.3.2']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-7cb16126-d9f0-4eca-aaf8-4f7d0b98ca02">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-2f1de400-bd2b-4c18-85cc-2e1c5beafcdc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="tmp-r-8b3937c0-a2b8-4d14-b4d8-50f2f1d870a9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.2.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']|self::hl7:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']|self::hl7:name|self::pharm:formCode|self::pharm:asContent|self::pharm:ingredient)]"
         id="tmp-r-23cd5e60-494e-41d4-946b-a0f1d61225f3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-656aaf54-697f-46d5-8ed6-a6153d92d9aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="tmp-r-024136e4-2e1f-4335-bd6e-bf7fc5445c21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']|self::pharm:name|self::pharm:capacityQuantity)]"
         id="tmp-r-b1ace88d-fcfa-4b88-bcce-a6947a62096e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']/*[not(self::pharm:originalText)]"
         id="tmp-r-b623ac0e-80be-4597-ade4-34e7da0af967">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="tmp-r-53321973-3e40-484e-9fb9-018d66f7b57c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="tmp-r-34d99390-4751-4200-aec1-167584681505">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.6.73']|self::pharm:name)]"
         id="tmp-r-536a3bee-f3a9-408c-ba08-05fccd4c7b21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/*[not(self::pharm:originalText|self::pharm:translation)]"
         id="tmp-r-ddc37a8f-d44c-4c34-9c17-eadd7afc329e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
