<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.10006
Name: ELGA CDA Dokument eMedikation Abgabe
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.10006-2014-01-31T000000">
   <title>ELGA CDA Dokument eMedikation Abgabe</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10006
Context: hl7:ClinicalDocument
Item: (CDAAbgabe)
-->

   <rule context="hl7:ClinicalDocument"
         id="tmp-r-11492758-5f75-4ff0-b9d9-a1936c8abe9e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(CDAAbgabe): Der Wert von @classCode MUSS 'DOCCLIN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(CDAAbgabe): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:realmCode)&gt;=1 and not(hl7:realmCode/@nullFlavor)">(CDAAbgabe): Element hl7:realmCode ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:realmCode)&lt;=1">(CDAAbgabe): Element hl7:realmCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(CDAAbgabe): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(CDAAbgabe): Element hl7:typeId[@root='2.16.840.1.113883.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.1']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.1'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.8.2'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.8.2']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.8.2'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.8.2'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.8.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&gt;=1 and not(hl7:templateId[@root='1.2.40.0.34.11.2.0.3']/@nullFlavor)">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.0.3'])&lt;=1">(CDAAbgabe): Element hl7:templateId[@root='1.2.40.0.34.11.2.0.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'])&gt;=1 and not(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']/@nullFlavor)">(CDAAbgabe): Element hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'])&lt;=1">(CDAAbgabe): Element hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(CDAAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(CDAAbgabe): Element hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(CDAAbgabe): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:title)&lt;=1">(CDAAbgabe): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(CDAAbgabe): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(CDAAbgabe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(CDAAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(CDAAbgabe): Element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&gt;=1 and not(hl7:languageCode[@code='de-AT']/@nullFlavor)">(CDAAbgabe): Element hl7:languageCode[@code='de-AT'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:languageCode[@code='de-AT'])&lt;=1">(CDAAbgabe): Element hl7:languageCode[@code='de-AT'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(CDAAbgabe): Element hl7:setId ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:setId)&lt;=1">(CDAAbgabe): Element hl7:setId kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(CDAAbgabe): Element hl7:versionNumber ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(CDAAbgabe): Element hl7:versionNumber kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(CDAAbgabe): Element hl7:recordTarget ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(CDAAbgabe): Element hl7:recordTarget kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(CDAAbgabe): Element hl7:author ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(CDAAbgabe): Element hl7:custodian ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:custodian)&lt;=1">(CDAAbgabe): Element hl7:custodian kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:dataEnterer)=0">(CDAAbgabe): Element hl7:dataEnterer DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:informationRecipient)=0">(CDAAbgabe): Element hl7:informationRecipient DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:authenticator)=0">(CDAAbgabe): Element hl7:authenticator DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 and not(hl7:legalAuthenticator/@nullFlavor)">(CDAAbgabe): Element hl7:legalAuthenticator ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(CDAAbgabe): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:participants)=0">(CDAAbgabe): Element hl7:participants DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:relatedDocument)=0">(CDAAbgabe): Element hl7:relatedDocument DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:inFulfillmentOf)=0">(CDAAbgabe): Element hl7:inFulfillmentOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:documentationOf)=0">(CDAAbgabe): Element hl7:documentationOf DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:authorization)=0">(CDAAbgabe): Element hl7:authorization DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="count(hl7:componentOf)=0">(CDAAbgabe): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:realmCode
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:realmCode"
         id="tmp-r-e9b49f91-27e8-4eee-93d2-2755ed5282b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theAttValue"
           value="distinct-values(tokenize(normalize-space(@code),' '))"/>
      <let name="theAttCheck"
           value="distinct-values(document('include/voc-1.2.40.0.34.10.3-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theAttValue]/@code)"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="not(@code) or count($theAttValue) = count($theAttCheck)">(FirstCDAHeaderElements): Der Wert von code MUSS gewählt werden aus Value Set 'ELGA_RealmCode' (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-235f8ea7-a32a-4b01-96c0-2c79d601c0f9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(FirstCDAHeaderElements): @root MUSS den Wert '2.16.840.1.113883.1.3' haben.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@extension)='POCD_HD000040'">(FirstCDAHeaderElements): Der Wert von @extension MUSS 'POCD_HD000040' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.10000
Context: hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']
Item: (FirstCDAHeaderElements)
-->

   <rule context="hl7:ClinicalDocument/hl7:templateId[@root='1.2.40.0.34.11.1']"
         id="tmp-r-587ecadd-a7fd-466c-baea-c9d904cfe899">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(FirstCDAHeaderElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10000-2011-12-19T000000.html"
              test="string(@root)='1.2.40.0.34.11.1'">(FirstCDAHeaderElements): @root MUSS den Wert '1.2.40.0.34.11.1' haben.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="hl7:ClinicalDocument/*[not(self::hl7:realmCode|self::hl7:typeId[@root='2.16.840.1.113883.1.3']|self::hl7:templateId[@root='1.2.40.0.34.11.1']|self::hl7:templateId[@root='1.2.40.0.34.11.8.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']|self::hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-11492758-5f75-4ff0-b9d9-a1936c8abe9e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.10006-2014-01-31T000000.html"
              test="not(.)">(CDAAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.2']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']|self::hl7:templateId[@root='1.2.40.0.34.11.2.0.3']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.1']|self::hl7:code[(@code='60593-1' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:effectiveTime|self::hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]|self::hl7:languageCode[@code='de-AT']|self::hl7:setId|self::hl7:versionNumber|self::hl7:recordTarget|self::hl7:author|self::hl7:custodian|self::hl7:dataEnterer|self::hl7:informationRecipient|self::hl7:authenticator|self::hl7:legalAuthenticator|self::hl7:participants|self::hl7:relatedDocument|self::hl7:inFulfillmentOf|self::hl7:documentationOf|self::hl7:authorization|self::hl7:componentOf|self::hl7:component)]"
         id="tmp-r-7aff0758-7c33-4f96-aac5-876f9a186738">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2-2014-01-31T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/*[not(self::hl7:patientRole)]"
         id="tmp-r-64cc721f-8c00-4d8d-a4c9-85d201ba5898">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:patient)]"
         id="tmp-r-111ea9a6-b1ff-4eb2-8179-405ee1acb793">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:addr/*[not(self::hl7:streetAddressLine|self::hl7:streetName|self::hl7:houseNumber|self::hl7:postalCode|self::hl7:city|self::hl7:state|self::hl7:country|self::hl7:additionalLocator)]"
         id="tmp-r-8b46853b-1a1b-407b-9c15-35c2da401d57">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/*[not(self::hl7:name|self::hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.4-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]|self::hl7:birthTime|self::hl7:maritalStatusCode|self::hl7:religiousAffiliationCode|self::hl7:raceCode|self::hl7:ethnicGroupCode|self::hl7:guardian|self::hl7:birthplace)]"
         id="tmp-r-b6869890-8c9c-42ce-b7de-86ff7ce4fa3d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name/*[not(self::hl7:prefix|self::hl7:given|self::hl7:family|self::hl7:suffix)]"
         id="tmp-r-472d413a-f609-4820-90aa-7a3ce0c6d1ce">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/*[not(self::hl7:addr|self::hl7:telecom|self::hl7:guardianPerson|self::hl7:guardianOrganization)]"
         id="tmp-r-1f63702e-c003-4aed-b032-383e50efcbcd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianPerson/*[not(self::hl7:name)]"
         id="tmp-r-1b12398d-d1f1-423b-9700-9c811152e242">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:guardian/hl7:guardianOrganization/*[not(self::hl7:name)]"
         id="tmp-r-883c5468-c207-4b34-9c01-40940328dc86">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/*[not(self::hl7:place)]"
         id="tmp-r-e4ebb0b9-abd6-460f-8c03-28dfda79ce1e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthplace/hl7:place/*[not(self::hl7:addr)]"
         id="tmp-r-026aaa3c-855f-47e6-92bf-02c55169c54a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20001-2013-10-08T000000.html"
              test="not(.)">(HeaderRecordTarget): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-a38f58d1-3b30-44a8-bff0-4e638913cf24">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-9ac59a5d-8e85-4ced-a018-13c75707d3aa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-48d5cbc5-1254-4c38-8604-c430420bbccd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-3ef7630e-4392-4327-91db-717b9a3cfbdc">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-3adaa36c-f13f-409a-bb28-8b83864719b5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20002-2013-02-10T000000.html"
              test="not(.)">(HeaderAuthor): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:custodian/*[not(self::hl7:assignedCustodian)]"
         id="tmp-r-b585e36e-8daf-4c2a-96f1-f7a09a66da3a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:custodian/hl7:assignedCustodian/*[not(self::hl7:representedCustodianOrganization)]"
         id="tmp-r-dda5b519-a878-48ea-9306-e641237c967d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-a1b03808-c13b-415c-ac54-1f2cf78159ee">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20004-2011-12-19T000000.html"
              test="not(.)">(HeaderCustodian): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:legalAuthenticator/*[not(self::hl7:time|self::hl7:signatureCode[@code='S']|self::hl7:assignedEntity)]"
         id="tmp-r-a1f2617f-9aaf-4f17-9149-94e0448d9704">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:legalAuthenticator/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-406cf568-549c-41d8-9f03-9a6ef065d36a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.20006-2011-12-19T000000.html"
              test="not(.)">(HeaderLegalAuthenticator): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-ade848db-978a-4cb2-acb1-5b06cc147aa2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:legalAuthenticator/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-bb7adb8d-7403-448e-9000-7c1a629d0bb5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:component/*[not(self::hl7:structuredBody)]"
         id="tmp-r-3922db35-30df-4c77-9d84-32fdffe3a1ad">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2-2014-01-31T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:component/hl7:structuredBody/*[not(self::hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]])]"
         id="tmp-r-93faf2fe-752c-4bd4-ac6e-29613c731a00">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2-2014-01-31T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:templateId/@root='1.2.40.0.34.11.8.2']/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']])]"
         id="tmp-r-84938344-1bae-4981-9b8d-be2f18ff144c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2-2014-01-31T000000.html"
              test="not(.)">(eMedikationAbgabe): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.2.2.1']]/*[not(self::hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']])]"
         id="tmp-r-6d4789f9-c967-4aba-98e3-41adab12ec36">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2.2.1-2014-01-31T000000.html"
              test="not(.)">(AbgabeSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.2.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.2.3']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.8']|self::hl7:id|self::hl7:code[(@code='60590-7' and @codeSystem='2.16.840.1.113883.6.1')]|self::hl7:title|self::hl7:text|self::hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]])]"
         id="tmp-r-2b6dacf7-009a-4794-bd1a-8b71019a6893">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2.2.1-2014-01-31T000000.html"
              test="not(.)">(AbgabeSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:section[hl7:templateId/@root='1.2.40.0.34.11.8.2.2.1']]/hl7:section[hl7:templateId[@root='1.2.40.0.34.11.8.2.2.1' or @root='1.3.6.1.4.1.19376.1.9.1.2.3' or @root='2.16.840.1.113883.10.20.1.8']]/hl7:entry[hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]]/*[not(self::hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']])]"
         id="tmp-r-464566c6-a1a7-46c6-9f78-2cce8565e616">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.2.2.1-2014-01-31T000000.html"
              test="not(.)">(AbgabeSection): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/*[not(self::hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']])]"
         id="tmp-r-38e5f061-0387-4708-ad46-cc5fdf6e7683">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.34']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.4']|self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.3']|self::hl7:code|self::hl7:text|self::hl7:quantity|self::hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]|self::hl7:performer|self::hl7:author|self::hl7:entryRelationship[@typeCode='REFR']|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]|self::hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]|self::hl7:entryRelationship[@typeCode='COMP'])]"
         id="tmp-r-6a520c3c-3d02-4d33-b773-9179034a70ec">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:code/*[not(self::hl7:originalText)]"
         id="tmp-r-9283ccf8-a146-40dc-8f24-f4b8f9b71751">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-94fcf8e5-fa99-45dd-8f59-72190ce14711">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-45b813b4-829f-47b1-b13c-0509a2322838">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/*[not(self::hl7:time|self::hl7:assignedEntity)]"
         id="tmp-r-dbc9d1ba-0c43-4a12-b678-c718a587ac25">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/*[not(self::hl7:id|self::hl7:addr|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:representedOrganization)]"
         id="tmp-r-d72e2907-5555-4916-863d-e148caf2e0d5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-21df4d9f-aa84-4c60-9e8c-303dd3f26528">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-50b5d791-8631-4945-b214-b8403fedc90b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="not(.)">(AssignedEntityElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/*[not(self::hl7:functionCode|self::hl7:time|self::hl7:assignedAuthor)]"
         id="tmp-r-9c1226db-b591-4782-ba99-7465d6029ff7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/*[not(self::hl7:id|self::hl7:code|self::hl7:telecom|self::hl7:assignedPerson|self::hl7:assignedAuthoringDevice|self::hl7:representedOrganization)]"
         id="tmp-r-b1690c29-210f-473a-bc26-9d5ca6cb2004">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/*[not(self::hl7:name)]"
         id="tmp-r-879b4313-2390-4405-bd79-5d1f8b922963">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:assignedAuthoringDevice/*[not(self::hl7:manufacturerModelName|self::hl7:softwareName)]"
         id="tmp-r-b01e7522-e879-4a45-b0ef-36f94c1c3a79">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/*[not(self::hl7:id|self::hl7:name|self::hl7:telecom|self::hl7:addr)]"
         id="tmp-r-0bbdea1e-48d9-4ed0-bcd6-6c8555d75157">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90004-2013-02-10T000000.html"
              test="not(.)">(AuthorElements): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-07c25384-6f79-41dc-baa5-dbfc3ebce3c7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/*[not(self::hl7:id[@root='1.2.40.0.10.1.4.3.4.2.2']|self::hl7:consumable)]"
         id="tmp-r-bc462b31-94cf-48e8-b5db-c731e2e0cec2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-5d1e53a5-1be7-4997-96e8-e2fb28492394">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='REFR']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-7e428454-4568-4b74-8b3e-2593db29f973">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']])]"
         id="tmp-r-0308a1f6-2d2e-4b88-bc16-63c7ff2e8c6a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3']|self::hl7:code[(@code='PINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-6ed627ea-597c-43ef-ab93-53e7c7586cf3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.49']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.49' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-81ea1e9d-8e09-4202-9336-9ef4d9869342">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30033-2013-12-21T000000.html"
              test="not(.)">(PatientInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/*[not(self::hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']])]"
         id="tmp-r-8e56d928-601e-4b7c-a7de-8a76b5c84e9c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/*[not(self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']|self::hl7:code[(@code='FINSTRUCT' and @codeSystem='1.3.6.1.4.1.19376.1.5.3.2')]|self::hl7:text|self::hl7:statusCode[@code='completed'])]"
         id="tmp-r-c6ab19ab-0dbc-4566-a77d-bf05f1b0f644">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='SUBJ'][hl7:act/hl7:templateId[@root='2.16.840.1.113883.10.20.1.43']]/hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.43' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.3.1']]/hl7:text/*[not(self::hl7:reference)]"
         id="tmp-r-595dfaad-dab3-494c-8a7f-4922ab994550">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30034-2013-12-21T000000.html"
              test="not(.)">(PharmacistInstructions): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/*[not(self::hl7:substanceAdministration)]"
         id="tmp-r-74e941f9-de04-4a6b-ae5c-0df6f3cfd9ff">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/*[not(self::hl7:effectiveTime[1][hl7:low]|self::hl7:effectiveTime[1][hl7:width]|self::hl7:effectiveTime[hl7:period]|self::hl7:effectiveTime[2]|self::hl7:effectiveTime[hl7:comp]|self::hl7:effectiveTime[2]|self::hl7:doseQuantity[not(hl7:low|hl7:high)]|self::hl7:doseQuantity[hl7:low|hl7:high]|self::hl7:doseQuantity|self::hl7:doseQuantity[not(hl7:low|hl7:high)]|self::hl7:doseQuantity[hl7:low|hl7:high]|self::hl7:doseQuantity|self::hl7:routeCode|self::hl7:consumable|self::hl7:entryRelationship[@typeCode='COMP']|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]|self::hl7:entryRelationship|self::hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-475882ef-1822-45f1-9bb8-ca8e4cc6dbec">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:low]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-708122ef-0b54-49a2-a189-849813269384">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[1][hl7:width]/*[not(self::hl7:width)]"
         id="tmp-r-e3e708eb-dfbd-4f64-9a01-2378addf4b21">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30006-2013-12-20T000000.html"
              test="not(.)">(Einnahmedauer): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:period]/*[not(self::hl7:period)]"
         id="tmp-r-90dabdfb-bb9e-437c-8acf-44494b3c6d8c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30007-2013-12-20T000000.html"
              test="not(.)">(Dosierung1): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/*[not(self::hl7:comp[hl7:period and not(hl7:phase)]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-6477e2eb-166e-43df-9696-8c44497e429b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:period and not(hl7:phase)]/*[not(self::hl7:period)]"
         id="tmp-r-616dab1d-695a-4ce4-9f0f-b3f2d4b48f26">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-31c96a95-ba9b-4fe6-812c-8c194d881876">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:effectiveTime[hl7:comp]/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-5486a0ed-036f-4ea1-8070-baf9a5f7fb05">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30009-2013-12-20T000000.html"
              test="not(.)">(Dosierung3): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:doseQuantity[hl7:low|hl7:high]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-88d6ff9a-032e-4b64-9a48-6b4638156620">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30037-2014-02-05T000000.html"
              test="not(.)">(Dosierung1dq): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:doseQuantity[hl7:low|hl7:high]/*[not(self::hl7:low|self::hl7:high)]"
         id="tmp-r-42eff4a7-8610-4cd3-bcd8-de16393b92ca">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30041-2014-04-05T000000.html"
              test="not(.)">(Dosierung3dq): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-d84f7728-5444-4e4b-9248-c3cbd3e6bdb0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-db0d3e35-0d40-49e7-9dff-da69015a60c3">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.8.1.3.2-2014-01-31T000000.html"
              test="not(.)">(MedikationAbgabeEntryemed): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-96f80c40-9e3f-4754-a6ff-82eb36bfc32d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30040-2013-12-19T000000.html"
              test="not(.)">(Dosierung2er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS']|self::hl7:doseQuantity|self::hl7:consumable)]"
         id="tmp-r-b4a125a8-baa7-4b86-bc7f-fa4e41a62d84">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-ff628b1d-7be8-478d-8baf-150ef69d9a0a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-cd649cc9-64b2-4394-99fb-2c0526ecb448">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-e4d3a945-5ee7-48ba-b3f6-8390312f9cd1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-9763c5fd-deb8-4230-8f4b-9292751ab3ea">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-8a25942e-aa0d-47b4-9703-e66ace4eeb8e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-6fbd906d-e382-43a6-a950-3f7d63e6b3b6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-ddeb9fbf-5f2d-4373-b7a6-b92b6a2a484a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:sequenceNumber|self::hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']])]"
         id="tmp-r-10640557-5851-4341-8a9c-59859e617fa0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30044-2013-12-19T000000.html"
              test="not(.)">(Dosierung4er): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']|self::hl7:effectiveTime[@xsi:type='EIVL_TS']|self::hl7:effectiveTime[@xsi:type='SXPR_TS']|self::hl7:doseQuantity|self::hl7:consumable)]"
         id="tmp-r-96d6ad94-45e2-42cf-a84e-7e8e89f7e4ef">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='EIVL_TS']/*[not(self::hl7:event)]"
         id="tmp-r-f76f1635-9501-4f66-91a0-7c4b483de255">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/*[not(self::hl7:comp[hl7:event]|self::hl7:comp[hl7:phase])]"
         id="tmp-r-3a2c5341-5a43-4161-b90a-baece72cec87">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:event]/*[not(self::hl7:event)]"
         id="tmp-r-0324b652-2232-47a0-ac10-27c80c647daa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/*[not(self::hl7:phase|self::hl7:period)]"
         id="tmp-r-7f441a0b-429f-4f30-bcb6-a166f72a5eb7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:effectiveTime[@xsi:type='SXPR_TS']/hl7:comp[hl7:phase]/hl7:phase/*[not(self::hl7:width)]"
         id="tmp-r-36fa42d1-4e19-494d-af0c-6b0bde2620f2">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/*[not(self::hl7:manufacturedProduct)]"
         id="tmp-r-a3ce7181-18dd-4a4d-b006-b6e7d0e0baa0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:supply[hl7:templateId/@root='1.2.40.0.34.11.8.1.3.2']]/hl7:supply[hl7:templateId[@root='1.2.40.0.34.11.8.1.3.2' or @root='2.16.840.1.113883.10.20.1.34' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.7.3' or @root='1.3.6.1.4.1.19376.1.9.1.3.4']]/hl7:entryRelationship[@typeCode='COMP']/hl7:substanceAdministration/hl7:entryRelationship[hl7:substanceAdministration[hl7:templateId/@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:substanceAdministration[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.1']]/hl7:consumable/hl7:manufacturedProduct/*[not(self::hl7:manufacturedMaterial)]"
         id="tmp-r-640fda61-0ef4-48a2-a621-c5bed1e0ebe9">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.3.6.1.4.1.19376.1.5.3.1.4.7.1-2014-03-04T000000.html"
              test="not(.)">(EinzelEinnahmezeitpunkt): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/*[not(self::hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']])]"
         id="tmp-r-5365ed40-47de-463b-9e24-b5d3f64310f1">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/*[not(self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']|self::hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']|self::hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])]"
         id="tmp-r-d5560019-d1e0-4f4c-83ea-d60e3ee7b71b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/*[not(self::hl7:templateId[@root='1.2.40.0.34.11.2.3.4']|self::hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']|self::hl7:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']|self::hl7:name|self::pharm:formCode|self::pharm:asContent|self::pharm:ingredient)]"
         id="tmp-r-8445c567-4995-49be-b247-cdb68045338e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']/*[not(self::hl7:originalText|self::hl7:translation)]"
         id="tmp-r-6ee84748-7ac1-48aa-af74-9bd9ead0f172">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/*[not(self::pharm:containerPackagedMedicine)]"
         id="tmp-r-0acace0a-67ba-480a-916c-37d9fa0c3d55">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/*[not(self::pharm:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']|self::pharm:name|self::pharm:capacityQuantity)]"
         id="tmp-r-3c15876b-ac73-4832-87db-bf18c971424d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.34.4.16' or @codeSystem='1.2.40.0.34.4.17']/*[not(self::pharm:originalText)]"
         id="tmp-r-c5d65f6d-eff5-4aac-a25a-d035a842e858">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/*[not(self::pharm:quantity|self::pharm:ingredient)]"
         id="tmp-r-fef3e27f-2e3d-490d-8586-4d126175cf3e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/*[not(self::pharm:numerator|self::pharm:denominator)]"
         id="tmp-r-d79f4015-4964-4c97-a90b-656a36e0d862">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/*[not(self::pharm:code[@codeSystem='2.16.840.1.113883.6.73']|self::pharm:name)]"
         id="tmp-r-db07b2aa-5484-4f71-9ab9-1025d9ffa610">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>

   <!-- Checking undefined contents for template/element @isClosed="true". Match context that we did not already match -->
   <rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/*[not(self::pharm:originalText|self::pharm:translation)]"
         id="tmp-r-fecda936-ba79-4eb9-8584-a18a48e59909">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.2.3.4-2014-02-05T000000.html"
              test="not(.)">(ArzneiEntry): '<name path=".."/>' is defined as closed, and this element '<name/>' is not allowed, or not allowed with this content. This may concern the templateId, code or id.</assert>
   </rule>
</pattern>
