<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4.3.1
Name: Laboratory Specimen Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4.3.1-2012-01-07T000000">
   <title>Laboratory Specimen Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]
Item: (LaboratorySpecimenEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]"
         id="tmp-r-df2a69cf-7a17-4efd-b9d4-09eafd337d5d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&gt;=1 ">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4.3.1'])&lt;=1">(LaboratorySpecimenEntry): Element hl7:templateId[@root='1.2.40.0.34.11.4.3.1'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId
Item: (LaboratorySpecimenEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:templateId"
         id="tmp-r-cbac2697-df24-445c-bca6-e4b156b42dc4">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@root)='1.2.40.0.34.11.4.3.1'">(LaboratorySpecimenEntry): @root MUSS den Wert '1.2.40.0.34.11.4.3.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (LaboratorySpecimenEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]"
         id="tmp-r-d9156f2e-cad8-4182-824b-aeac18be919a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@classCode)='ACT'">(LaboratorySpecimenEntry): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="string(@moodCode)='EVN'">(LaboratorySpecimenEntry): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')])&gt;=1 and not(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')])&lt;=1">(LaboratorySpecimenEntry): Element hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&gt;=1 and not(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/@nullFlavor)">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="count(hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]])&lt;=1">(LaboratorySpecimenEntry): Element hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code
Item: (LaboratorySpecimenEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:code"
         id="tmp-r-8c3c28bc-9b5a-4e1a-b1a6-44b951c26189">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(LaboratorySpecimenEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.4.3.1-2012-01-07T000000.html"
              test="@nullFlavor or (@code='10' and @codeSystem='1.2.40.0.34.5.47' and @displayName='Probeninformation' and @codeSystemName='ELGA_Laborstruktur')">(LaboratorySpecimenEntry): Der Elementinhalt MUSS sein code '10' codeSystem '1.2.40.0.34.5.47' displayName='Probeninformation' codeSystemName='ELGA_Laborstruktur'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.4.3.1
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (LaboratorySpecimenEntry)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]
Item: (SpecimenCollection)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]"
         id="tmp-r-de13c86e-5f8d-4d81-8b86-21b7ceaa85e6">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']])&gt;=1 and not(hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]/@nullFlavor)">(SpecimenCollection): Element hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']])&lt;=1">(SpecimenCollection): Element hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure"
         id="tmp-r-9d56c04d-c9b6-41df-8237-e411b32a3587">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@classCode)='PROC'">(SpecimenCollection): Der Wert von @classCode MUSS 'PROC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenCollection): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&gt;=1 ">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'])&lt;=1">(SpecimenCollection): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(SpecimenCollection): Element hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(SpecimenCollection): Element hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(SpecimenCollection): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenCollection): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:targetSiteCode)&lt;=1">(SpecimenCollection): Element hl7:targetSiteCode kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:performer)&lt;=1">(SpecimenCollection): Element hl7:performer kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:participant)&gt;=1 and not(hl7:participant/@nullFlavor)">(SpecimenCollection): Element hl7:participant ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:participant)&lt;=1">(SpecimenCollection): Element hl7:participant kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']"
         id="tmp-r-66e82399-cc5b-42dc-8c05-e6ea8cb56449">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.2'">(SpecimenCollection): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.2' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:code[(@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-876c0e6b-ff05-477f-8deb-066457be5ca7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="@nullFlavor or (@code='33882-2' and @codeSystem='2.16.840.1.113883.6.1')">(SpecimenCollection): Der Elementinhalt MUSS sein code '33882-2' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:effectiveTime"
         id="tmp-r-6076ce9d-9b50-4b26-b554-491a607884cd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:targetSiteCode
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:targetSiteCode"
         id="tmp-r-5ffefb93-1390-4ba6-b4d5-5800f0e8514d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(SpecimenCollection): Der Elementinhalt MUSS sein ELGA_HumanActSite (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.40.0.34.10.52-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_HumanActSite (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer"
         id="tmp-r-700652f8-5607-4a78-a5f3-0ef681b2e034">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@typeCode)='PRF'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(SpecimenCollection): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(SpecimenCollection): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity"
         id="tmp-r-0c2ae658-245a-4fea-8e69-193b5604358b">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:id)&gt;=1 ">(SpecimenCollection): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:addr)&lt;=1">(SpecimenCollection): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(SpecimenCollection): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(SpecimenCollection): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(SpecimenCollection): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:id
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:id"
         id="tmp-r-6b4bc300-eb95-427b-baf2-0d279f82af9f">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:addr
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:addr"
         id="tmp-r-0ce34f28-d3ef-4289-99a0-137242df24d0">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:telecom
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-01be8cc3-117c-4919-a827-046653eaf6c7">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AssignedEntityElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-a25bfb99-0cb7-491e-b568-62fe2bf77f88">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-95c59ea2-95f8-449f-b63b-1e2dc64cd065">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90003
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization
Item: (AssignedEntityElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-048d0443-f863-42e7-87f3-fab3bd1f803c">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(AssignedEntityElements): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(AssignedEntityElements): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(AssignedEntityElements): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:name)&lt;=1">(AssignedEntityElements): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90003-2011-12-19T000000.html"
              test="count(hl7:addr)&lt;=1">(AssignedEntityElements): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-02f0d966-3d78-4e74-8040-0a94622f7526">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-520cd59a-aad0-4694-ada0-4f613b73c444">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-27cc41d8-bb35-45d0-aa86-86f176c2e23a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:performer/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-ee5ad169-1f2c-441e-87c2-38caf3a00105">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant"
         id="tmp-r-7e708ccf-c897-47d6-a632-571b654991e5">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@typeCode)='PRD'">(SpecimenCollection): Der Wert von @typeCode MUSS 'PRD' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]])&gt;=1 and not(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/@nullFlavor)">(SpecimenCollection): Element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]])&lt;=1">(SpecimenCollection): Element hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]"
         id="tmp-r-bafef398-ea64-4ded-b1a2-c1de0e026fcd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@classCode)='SPEC'">(SpecimenCollection): Der Wert von @classCode MUSS 'SPEC' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(SpecimenCollection): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:id)&lt;=1">(SpecimenCollection): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]])&gt;=1 and not(hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/@nullFlavor)">(SpecimenCollection): Element hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]])&lt;=1">(SpecimenCollection): Element hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:id
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:id"
         id="tmp-r-589d3d8b-59ad-4949-a636-70a4650485fd">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]"
         id="tmp-r-f9dba136-e5bd-49b3-b9cd-5b3e408dcd4e">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(SpecimenCollection): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(SpecimenCollection): Element hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:participant/hl7:participantRole[hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]]/hl7:playingEntity[hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-31afb380-2a02-4048-99bc-28deaf988781">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenCollection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(SpecimenCollection): Der Elementinhalt MUSS sein ELGA_SpecimenType (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-1.2.40.0.34.10.46-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(SpecimenCollection): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_SpecimenType (DYNAMIC).</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30021
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]
Item: (SpecimenCollection)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]"
         id="tmp-r-078de3e6-865d-40c4-8029-e1ffe3fdbffa">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30021-2014-03-04T000000.html"
              test="string(@typeCode)='COMP'">(SpecimenCollection): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure
Item: (SpecimenReceived)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]
Item: (SpecimenReceived)
-->

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act
Item: (SpecimenReceived)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act"
         id="tmp-r-bfe02857-1ba4-4f95-9f79-f988b7873c2a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="string(@classCode)='ACT'">(SpecimenReceived): Der Wert von @classCode MUSS 'ACT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="string(@moodCode)='EVN'">(SpecimenReceived): Der Wert von @moodCode MUSS 'EVN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3'])&gt;=1 ">(SpecimenReceived): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3'])&lt;=1">(SpecimenReceived): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')])&gt;=1 and not(hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')]/@nullFlavor)">(SpecimenReceived): Element hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')])&lt;=1">(SpecimenReceived): Element hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(SpecimenReceived): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(SpecimenReceived): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']
Item: (SpecimenReceived)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']"
         id="tmp-r-dfdde5ac-aefe-4eac-b760-994df6ea5c3a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenReceived): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.1.3'">(SpecimenReceived): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.1.3' haben.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')]
Item: (SpecimenReceived)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:code[(@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')]"
         id="tmp-r-cd27a7d6-4520-45f7-b1c1-b8d46be46f8d">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenReceived): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="@nullFlavor or (@code='SPRECEIVE' and @codeSystem='1.3.5.1.4.1.19376.1.5.3.2')">(SpecimenReceived): Der Elementinhalt MUSS sein code 'SPRECEIVE' codeSystem '1.3.5.1.4.1.19376.1.5.3.2'.</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:effectiveTime
Item: (SpecimenReceived)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:effectiveTime"
         id="tmp-r-59994ac8-3b1f-4d87-9257-3255e6b3479a">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(SpecimenReceived): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 1.2.40.0.34.11.30022
Context: *[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]
Item: (SpecimenReceived)
-->
   <rule context="*[hl7:entry[hl7:templateId/@root='1.2.40.0.34.11.4.3.1']]/hl7:entry[hl7:templateId[@root='1.2.40.0.34.11.4.3.1']]/hl7:act[hl7:code[(@code='10' and @codeSystem='1.2.40.0.34.5.47')]]/hl7:entryRelationship[hl7:procedure[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.2']]]/hl7:procedure/hl7:entryRelationship[hl7:act[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.1.3']]]/hl7:act/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.10.20.1.40' or @root='1.3.6.1.4.1.19376.1.5.3.1.4.2']]]"
         id="tmp-r-078d1317-68f0-42e8-9680-4fee7c2b92d8">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20140324T201642/tmp-1.2.40.0.34.11.30022-2014-03-04T000000.html"
              test="string(@typeCode)='COMP'">(SpecimenReceived): Der Wert von @typeCode MUSS 'COMP' sein.</assert>
   </rule>
</pattern>
